%define oname Kivy

Name: python3-module-kivy
Version: 2.0.0
Release: alt3

Summary: Open source UI framework written in Python

License: MIT License
Group: System/Servers
Url: https://kivy.org/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-intro >= 2.2.4

BuildRequires: python3-module-setuptools python3-module-Cython

BuildRequires: libSDL2_image-devel libSDL2_mixer-devel libSDL2_ttf-devel libgstreamer1.0 libpango-devel
BuildRequires: libpango-devel libglvnd-devel

Requires: python3 > 3.6
%add_python3_req_skip AppKit PyInstaller.depend android android.runnable gimpfu picamera pyobjus pyobjus.dylib_manager
# pyjnius means we are running on Android
%add_python3_req_skip jnius

# generated by 'epm restore --dry-run' from Kivy.egg-info/requires.txt
%py3_use kivy-garden >= 0.1.4
%py3_use docutils
%py3_use Pygments

%description
Kivy - Open source Python library for rapid development of applications
that make use of innovative user interfaces, such as multi-touch apps.

%prep
%setup

%build
%python3_build

%install
%python3_install
%python3_prune
rm -vrf %buildroot/usr/share/kivy-examples/

%files
%python3_sitelibdir/kivy/
%python3_sitelibdir/%oname-*.egg-info


%changelog
* Tue Aug 17 2021 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt3
- drop pyjnius requires (it is Android related)

* Thu Apr 22 2021 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt2
- initial build for ALT Sisyphus

* Sat Apr 17 2021 Pablo Soldatoff <soldatoff@etersoft.ru> 2.0.0-alt1
- initial build for ALT Sisyphus
